couple {kernlab} | R Documentation

## Probabilities Coupling function

### Description

`couple` is used to link class-probability estimates produced by pairwise coupling in multi-class classification problems.

### Usage

    couple(probin, coupler = "minpair")

### Arguments

`probin` | The pairwise coupled class-probability estimates
`coupler` | The type of coupler to use. Currently `minpar` and `pkpd` and `vote` are supported (see reference for more details). If `vote` is selected the returned value is a primitive estimate passed on given votes.

### Details

As binary classification problems are much easier to solve many techniques exist to decompose multi-class classification problems into many binary classification problems (voting, error codes, etc.). Pairwise coupling (one against one) constructs a rule for discriminating between every pair of classes and then selecting the class with the most winning two-class decisions. By using Platt's probabilities output for SVM one can get a class probability for each of the k(k-1)/2 models created in the pairwise classification. The couple method implements various techniques to combine these probabilities.

### Value

A matrix with the resulting probability estimates.

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### References

Ting-Fan Wu, Chih-Jen Lin, ruby C. Weng
Probability Estimates for Multi-class Classification by Pairwise Coupling
Neural Information Processing Symposium 2003
http://books.nips.cc/papers/files/nips16/NIPS2003_0538.pdf

### See Also

`predict.ksvm`, `ksvm`

### Examples

    ## create artificial pairwise probabilities
    pairs <- matrix(c(0.82,0.12,0.76,0.1,0.9,0.05),2)

    couple(pairs)

    couple(pairs, coupler="pkpd")

    couple(pairs, coupler ="vote")

[Package kernlab version 0.9-27 Index]